Update terminal
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
note: '<string>',
serialNumber: '<string>',
name: '<string>',
externalId: '<string>'
})
};
fetch('https://api.platform.getstell.com/v1/terminals/{terminalId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url https://api.platform.getstell.com/v1/terminals/{terminalId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"note": "<string>",
"serialNumber": "<string>",
"name": "<string>",
"externalId": "<string>"
}
'import requests
url = "https://api.platform.getstell.com/v1/terminals/{terminalId}"
payload = {
"note": "<string>",
"serialNumber": "<string>",
"name": "<string>",
"externalId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"data": {
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"storeId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"note": "<string>",
"serialNumber": "<string>",
"name": "<string>",
"externalId": "<string>",
"status": "ONLINE"
},
"requestId": "<string>"
}{
"requestId": "<string>",
"error": {
"code": "BAD_REQUEST",
"message": "Invalid request parameters",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "FORBIDDEN",
"message": "Access denied to this resource",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "INTERNAL_ERROR",
"message": "An internal server error occurred",
"details": {}
}
}Terminals
Update terminal
Update terminal information. Supports partial updates.
PATCH
https://api.platform.getstell.com
/
v1
/
terminals
/
{terminalId}
Update terminal
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
note: '<string>',
serialNumber: '<string>',
name: '<string>',
externalId: '<string>'
})
};
fetch('https://api.platform.getstell.com/v1/terminals/{terminalId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url https://api.platform.getstell.com/v1/terminals/{terminalId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"note": "<string>",
"serialNumber": "<string>",
"name": "<string>",
"externalId": "<string>"
}
'import requests
url = "https://api.platform.getstell.com/v1/terminals/{terminalId}"
payload = {
"note": "<string>",
"serialNumber": "<string>",
"name": "<string>",
"externalId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"data": {
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"storeId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"note": "<string>",
"serialNumber": "<string>",
"name": "<string>",
"externalId": "<string>",
"status": "ONLINE"
},
"requestId": "<string>"
}{
"requestId": "<string>",
"error": {
"code": "BAD_REQUEST",
"message": "Invalid request parameters",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "FORBIDDEN",
"message": "Access denied to this resource",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "INTERNAL_ERROR",
"message": "An internal server error occurred",
"details": {}
}
}Authorizations
API key authentication. Include your API key as a Bearer token.
Example: Bearer sk_prod_xxxxxx
Get your API key from the Stell Dashboard.
Path Parameters
Body
application/json
Fields to update on an existing terminal.
Additional notes about the terminal
Maximum string length:
1000Hardware serial number
Maximum string length:
100Terminal display name
Required string length:
1 - 200External reference ID
Maximum string length:
255Terminal operational status
Available options:
ONLINE, OFFLINE, SWITCHED_OFF, MAINTENANCE, ERROR Was this page helpful?